﻿'
' Haftungsausschluss
' Die Software wurde mit grösster Sorgfalt entwickelt. Es kann aber nicht garantiert werden,
' dass die Software auf jedem Zielsystem einwandfrei läuft. Eine vollständig fehlerfreie Software
' ist nach dem heutigen Stand der Technik nicht möglich.
' Die Software wird wie sie ist ("as is") zur Verfügung gestellt, ohne jede Garantie für Brauchbarkeit
' für einen bestimmten Anwendungsfall. Für Schäden, die durch die Nutzung (direkt oder indirekt) entstehen
' besteht keinerlei Haftung.
'
' Urheberrecht
' Alle erwähnten Marken- und Produktnamen sind Warenzeichen der jeweiligen Rechtsinhaber und gelten uneingeschränkt.
' Das Fehlen einer entsprechenden Kennzeichnung in der Software und der Dokumentation bedeutet nicht,
' dass es sich um einen freien Namen im Sinne der Waren- und Markenzeichen - Gesetzgebung handelt.
'
' Copyright
' Die Software wurde für den Verband Schweizerischer Fachhäuser für Medizinaltechnik (VSFM) entwickelt.
' Weitere Informationen sind unter www.vsfm.info oder www.smeex.ch zu finden.
' © 2008-2011 VSFM - Alle Rechte vorbehalten.
'
'

Imports System.Windows.Forms

''' <summary>
''' Hilfsklasse zur Übergabe von COM-Handles an .NET.
''' </summary>
Friend Class Win32Handle
  Implements IWin32Window
#Region "Variablen"
  ''' <summary>
  ''' Handle als <see cref="IntPtr"/>.
  ''' </summary>
  Private m_Handle As IntPtr
#End Region

#Region "Konstruktoren"
  ''' <summary>
  ''' Erstellt eine neue Handle-Instanz mit dem angegebenen Wert.
  ''' </summary>
  ''' <param name="handle">Fenster-Handle als Integer.</param>
  <DebuggerStepThrough()> _
  Public Sub New(ByVal handle As Integer)
    m_Handle = New IntPtr(handle)
  End Sub
#End Region

#Region "IWin32Window"
  ''' <summary>
  ''' <see cref="IWin32Window.Handle"/>
  ''' </summary>
  Public ReadOnly Property Handle() As System.IntPtr Implements System.Windows.Forms.IWin32Window.Handle
    <DebuggerStepThrough()> _
    Get
      Handle = m_Handle
    End Get
  End Property
#End Region
End Class
